---
lang: en
title: 'API docs: context.config'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.config.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [config](./context.config.md)

## config namespace

**Signature:**

```typescript
export declare namespace config 
```

## Functions

<table><thead><tr><th>

Function


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[getter(propertyPath, metadata)](./context.config.getter.md)


</td><td>

`@inject.getter` decorator to inject a config getter function


</td></tr>
<tr><td>

[view(propertyPath, metadata)](./context.config.view.md)


</td><td>

`@inject.view` decorator to inject a config context view to allow dynamic changes in configuration


</td></tr>
</tbody></table>

